// fichalibro.h - Declaración de la clase CFichaLibro

#if !defined( _CFLIBRO_H_ )
#define _CFLIBRO_H_
#include "ficha.h"  // clase CFicha

/////////////////////////////////////////////////////////////////
// Clase para operar con los libros de una biblioteca
class CFichaLibro : public CFicha
{
  private:
    std::string autor;
    std::string editorial;
  public:
    // Constructor
    CFichaLibro(std::string = "", std::string = "", std::string = "", std::string = "");
    // Otras funciones
    void AsignarAutor(std::string);
    std::string ObtenerAutor() const;
    void AsignarEditorial(std::string);
    std::string ObtenerEditorial() const;
    CFichaLibro *Clonar();
};

#endif // _CFLIBRO_H_
/////////////////////////////////////////////////////////////////
